Bug 1276094 - Please update python-pandas to 0.17
Please update python-pandas to 0.17
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-pandas (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 13:12 EDT by daryl herzmann
Modified: 2015-11-21 09:26 EST (History)
3 users (show)

See Also:
Fixed In Version: python-pandas-0.17.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-21 09:26:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description daryl herzmann 2015-10-28 13:12:57 EDT
My apologies if this not the proper way to request that a EPEL package be updated...  Sadly, I am hitting a bug in pandas 0.16.2 that is fixed in 0.17

https://github.com/pydata/pandas/issues/10612

Could updated python-pandas be pushed? :)  Thank you

Currently using: python-pandas-0.16.2-1.el7.x86_64 , but I see 0.17.1 is due to be released in 2 weeks, so perhaps you are awaiting it? :)
Comment 1 Orion Poplawski 2015-10-28 13:25:52 EDT
Well, the main problem is that in EPEL we try to avoid API changes if possible.  It looks 0.17 has some:

http://pandas.pydata.org/pandas-docs/version/0.17.0/whatsnew.html#whatsnew-0170-api

I'm not sure how big of an issue these will present.
Comment 2 Brett Lentz 2015-10-28 13:41:50 EDT
(In reply to Orion Poplawski from comment #1)
> Well, the main problem is that in EPEL we try to avoid API changes if
> possible.  

What do you think about updating only for EPEL7 and leaving EPEL6 on 0.16?

I agree, there's a lot of API changes here. So, I definitely wouldn't want to destabilize long-running apps on EL6. However, EL7 is new enough that I'd support updating there.
Comment 3 daryl herzmann 2015-10-28 13:49:11 EDT
Wow, thanks guys for the immediate responses.  I understand the desire for API compat with RHEL releases, but the prospect of having pandas 0.16.2 for many years into the future is not very exciting as I don't know of any bug backporting that will be done into a 0.16 release series...

For what it is worth, I built the EPEL python-pandas-0.17.0-1.fc24.src.rpm on RHEL7 and it works around my current bug.
Comment 4 Orion Poplawski 2015-10-28 16:30:09 EDT
There is no pandas build for EL6 at the moment (or probably ever), so that's not a consideration.

I have to agree that updating pandas now in EPEL7 seems the way to go as it has only been available in EPEL7 for 3-4 months.  But I'm sure this will be an issue again in the future.
Comment 5 Fedora Update System 2015-10-28 16:45:03 EDT
python-pandas-0.17.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-429ca42942
Comment 6 Fedora Update System 2015-11-01 11:50:37 EST
python-pandas-0.17.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pandas'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-429ca42942
Comment 7 Fedora Update System 2015-11-21 09:26:36 EST
python-pandas-0.17.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.